py4j.reflection

## Class PythonProxyHandler

- java.lang.Object
- - py4j.reflection.PythonProxyHandler

- All Implemented Interfaces:
    InvocationHandler

      public class PythonProxyHandler
      extends Object
      implements InvocationHandler

  A PythonProxyHandler is used in place of a Python object. Python programs can send Python objects that implements a Java interface to the JVM: these Python objects are represented by dynamic proxies with a PythonProxyHandler.

  Author:
    Barthelemy Dagenais

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CALL_PROXY_COMMAND_NAME`
    `static String` | `GARBAGE_COLLECT_PROXY_COMMAND_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PythonProxyHandler(String id, CallbackClient cbClient, Gateway gateway)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()`
    `Object` | `invoke(Object proxy, Method method, Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CALL_PROXY_COMMAND_NAME

          public static final String CALL_PROXY_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### GARBAGE_COLLECT_PROXY_COMMAND_NAME

          public static final String GARBAGE_COLLECT_PROXY_COMMAND_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PythonProxyHandler

          public PythonProxyHandler(String id,
                                    CallbackClient cbClient,
                                    Gateway gateway)

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Specified by:
        `invoke` in interface `InvocationHandler`
      Throws:
        `Throwable`